#version 430 core

in vec3 FragPos;
in vec3 Normal;
in vec4 Color;

vec3 lightPosition;
uniform vec3 camera_world;
vec3 lightColor = vec3(3.0, 3.0, 3.0);


uniform vec3 materialCoefficients; // x = ambient, y = diffuse, z = specular 
uniform float specularAlpha;

layout (location = 0) out vec4 FragColor;


void main()
{
  //  vec3 lightPosition = vec3(0.0, 35.0, 0.0);


    // ambient
    vec3 ambient = materialCoefficients.x * lightColor;
  	
    // diffuse 
    vec3 norm = normalize(Normal);
    vec3 lightDir = normalize(lightPosition - FragPos);
    float diff = max(dot(norm, lightDir), 0.0);
    vec3 diffuse = materialCoefficients.y * diff * lightColor;  
    
    // specular
    vec3 viewDir = normalize(camera_world - FragPos);
    vec3 reflectDir = reflect(-lightDir, norm);  
    float spec = pow(max(dot(viewDir, reflectDir), 0.0), specularAlpha);

    vec3 specular = spec * materialCoefficients.z * lightColor;  

    vec3 result = ambient + diffuse + specular;
    FragColor = vec4(result, 0.1) * Color;
   // FragColor = vec4(Normal, 0.2);
  
}


