#version 430 core

layout (location = 0) out vec4 FragColor;
layout (location = 1) out vec4 Brightness;

in vec2 TexCoords;
in vec4 Color;

uniform sampler2D texture_diffuse1;
uniform sampler2D texture_diffuse2;
uniform sampler2D texture_diffuse3;
uniform sampler2D texture_specular1;
uniform sampler2D texture_specular2;
uniform sampler2D texture_specular3;

void main()
{    
    FragColor = Color  * texture(texture_diffuse1, TexCoords);

    float bright = dot(vec3(FragColor.x,FragColor.y,FragColor.z), vec3(0.7, 0.7, 0.7));
    if(bright > 1.0)
        Brightness = FragColor;
    else
        Brightness = vec4(0.0, 0.0, 0.0, 1.0);
}