#version 430 core
layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;
layout (location = 2) in vec2 uv;

uniform vec3 color;

out vec4 Color;
out vec3 FragPos;
out vec2 TexCoords;
out vec3 Normal;

uniform mat4 modelMatrix;
uniform mat4 viewProjMatrix;
uniform mat3 normalMatrix;

void main()
{
    TexCoords = uv;
    FragPos = vec3(modelMatrix * vec4(position, 1.0));
   // Normal = normal;
    Normal = normalMatrix * normal;  
    Color = vec4(color, 1.0);
    gl_Position = viewProjMatrix * modelMatrix * vec4(position, 1.0);
}
